Dependency Check - PHP 5.3.2 Not Installed

Ask all your questions regarding OC 5.x Please read the Support Forum Rules
Forum rules
ownCloud 5.x reached end of life and is officially unsupported. For details see Wiki page.

Please upgrade your ownCloud.
drewmaw
Newbie
Posts: 8
Joined: Wed Apr 03, 2013 3:19 am
ownCloud version: 5.0.0
Webserver: Apache
Database: MySQL
OS: Linux Hosting Package
PHP version: 5.3.2

Dependency Check - PHP 5.3.2 Not Installed

Postby drewmaw » Wed Apr 03, 2013 3:25 am

SOLVED - SOLUTION IN POST #7

I'm a new member here, and am trying ownCloud 5 for the first time. However, after visiting the setup-owncloud.php, and hit next, I get a dependency check that reveals that I need to have at least PHP 5.3.2

The fact is, I DO have it installed.

I'm with Bluehost, and here are all of the PHP versions I've tried:

PHP 5.3.2
PHP 5.3.2 single.ini
PHP 4
PHP 4 single.ini

I worked with an admin from bluehost, and he couldn't see why there would be any problems as there weren't any problems with the server.

Cheers!
Last edited by drewmaw on Wed Apr 03, 2013 9:56 pm, edited 2 times in total.

User avatar
RandolphCarter
ownCloud master
Posts: 5134
Joined: Wed May 30, 2012 8:42 am
ownCloud version: 8.1.1
Webserver: Apache
Database: MySQL
OS: Linux
PHP version: 5.5.x

Re: Dependency Check - PHP 5.3.2 Not Installed

Postby RandolphCarter » Wed Apr 03, 2013 7:20 am

Have you checked (e.g. with phpinfo, see this FAQ entry: viewtopic.php?f=17&t=7304) that the php version running your scripts is really the one you expect it to be?

RealRancor
ownCloud master
Posts: 16393
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.1
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: Dependency Check - PHP 5.3.2 Not Installed

Postby RealRancor » Wed Apr 03, 2013 9:18 am

Additional you should update to at least PHP 5.3.4 because this is needed for OC 5.0 as you can see here:

https://github.com/owncloud/administrat ... 84a43146ae
Report a bug? / Request a feature? / Developers contact/feedback? See: https://forum.owncloud.org/viewtopic.php?f=17&t=23696

drewmaw
Newbie
Posts: 8
Joined: Wed Apr 03, 2013 3:19 am
ownCloud version: 5.0.0
Webserver: Apache
Database: MySQL
OS: Linux Hosting Package
PHP version: 5.3.2

Re: Dependency Check - PHP 5.3.2 Not Installed

Postby drewmaw » Wed Apr 03, 2013 7:57 pm

Rancor wrote:Additional you should update to at least PHP 5.3.4 because this is needed for OC 5.0 as you can see here:

https://github.com/owncloud/administrat ... 84a43146ae


But wouldn't PHP 5.4 fix that problem? Are you saying that PHP vers must = php 5.3.4, not >=5.3.4?

drewmaw
Newbie
Posts: 8
Joined: Wed Apr 03, 2013 3:19 am
ownCloud version: 5.0.0
Webserver: Apache
Database: MySQL
OS: Linux Hosting Package
PHP version: 5.3.2

Re: Dependency Check - PHP 5.3.2 Not Installed

Postby drewmaw » Wed Apr 03, 2013 8:10 pm

RandolphCarter wrote:Have you checked (e.g. with phpinfo, see this FAQ entry: viewtopic.php?f=17&t=7304) that the php version running your scripts is really the one you expect it to be?


Dude, excellent work. Yeah, after updating PHP vers to 5.3.x or 5.4.x, it's still showing Php 5.2.x. On hold with tech support. seeing if this can be fixed!

RealRancor
ownCloud master
Posts: 16393
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.1
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: Dependency Check - PHP 5.3.2 Not Installed

Postby RealRancor » Wed Apr 03, 2013 8:21 pm

drewmaw wrote:But wouldn't PHP 5.4 fix that problem? Are you saying that PHP vers must = php 5.3.4, not >=5.3.4?


Sure it will fix this problem if your webserver is running this version and not the older one. And you need PHP 5.3.4 or newer.
Report a bug? / Request a feature? / Developers contact/feedback? See: https://forum.owncloud.org/viewtopic.php?f=17&t=23696

drewmaw
Newbie
Posts: 8
Joined: Wed Apr 03, 2013 3:19 am
ownCloud version: 5.0.0
Webserver: Apache
Database: MySQL
OS: Linux Hosting Package
PHP version: 5.3.2

Re: Dependency Check - PHP 5.3.2 Not Installed

Postby drewmaw » Wed Apr 03, 2013 9:54 pm

Solved:

Turns out PHP Config only modifies the PHP version of the public_html/ folder and not for every subdomain folder (at least that's how Bluehost does it).

The tech had to manually add this line to the htaccess folder in the given root where owncloud is being installed to:

# Use PHP5.4 Single php.ini as default
AddHandler application/x-httpd-php54s .php


RESULT:
OWNCLOUD IS SETUP AND WORKING! :D


  • Similar Topics
    Replies
    Views
    Last post

Return to “ownCloud Community Edition 5.x and older”

Who is online

Users browsing this forum: No registered users and 4 guests